@import 'assets/sass/variables'

// ====== RESET CSS  ========
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, p, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video, button
  margin: 0
  padding: 0
  border: 0
  font-size: 1rem
  text-overflow: ellipsis
  font-weight: 400
  font-family: 'Roboto', sans-serif
  vertical-align: baseline


html, body
  width: 100%
  height: 100%


article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section
  display: block

button
  background: $white
  border: 1px solid $yellow
  padding: 10px 16px
  border-radius: 10px
  color: $yellow
  font-weight: bold
  cursor: pointer
  transition: all 0.1s ease-in-out

  &:disabled
    opacity: 0.5

  &:hover:not(&:disabled)
    border: 1px solid #e19009
    transition: all 0.1s ease-in-out

  &#register
    background: $yellow
    color: $white
    margin-right: 20px

h2
  font-family: "Source Serif Pro", serif
  font-size: 2rem
  font-weight: 900

